Name:          mockobjects
Version:       0.09
Release:       %mkrel 1
Summary:       Java MockObjects package
Group:         Development/Java
License:       BSD
Url:           http://www.mockobjects.com/
# cvs -d:pserver:anonymous@mockobjects.cvs.sourceforge.net:/cvsroot/mockobjects login
# cvs -z3 -d:pserver:anonymous@mockobjects.cvs.sourceforge.net:/cvsroot/mockobjects/ checkout -d mockobjects-java -r MO_0_09_RELEASE mockobjects-java
# tar czf mockobjects-java-0.09-src-svn.tar.gz mockobjects-java
Source0:       mockobjects-java-0.09-src-svn.tar.gz
Source1:       http://repo1.maven.org/maven2/mockobjects/mockobjects-core/0.09/mockobjects-core-0.09.pom
Source2:       http://repo1.maven.org/maven2/mockobjects/mockobjects-jdk1.4/0.09/mockobjects-jdk1.4-0.09.pom
Source3:       http://repo1.maven.org/maven2/mockobjects/mockobjects-alt-jdk1.4/0.09/mockobjects-alt-jdk1.4-0.09.pom
# from altlinux
Source4:       mockobjects-httpclient-0.09.pom
Source5:       mockobjects-alt-httpclient-0.09.pom
Source6:       mockobjects-jdk1.4-j2ee1.4-0.09.pom
Patch0:        mockobjects-buildjdk.patch
Patch1:        mockobjects-ext-httpmethod-abstract.patch
Patch2:        mockobjects-AssertMo.patch
Patch3:        mockobjects-MockPageContext.patch
Patch4:        mockobjects-MockConnection.patch
Patch5:        mockobjects-MockMessagePublisher.patch
Patch6:        mockobjects-MockQueueConnectionFactory.patch
Patch7:        mockobjects-MockQueueSender.patch
Patch8:        mockobjects-MockSession.patch
Patch9:        mockobjects-MockTopicConnectionFactory.patch
Patch10:       mockobjects-0.09-j2ee14-MockHttpServletRequest.patch
Patch11:       mockobjects-0.09-j2ee14-MockHttpServletResponse.patch
Patch12:       mockobjects-FileImpl.patch

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: geronimo-jms
BuildRequires: jakarta-commons-httpclient
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: tomcat5-jsp-2.0-api
BuildRequires: tomcat5-servlet-2.4-api
BuildRequires: ant-javamail
#TODO:         make build with Java6
BuildRequires: java-1.5.0-gcj-devel 
Requires:      jpackage-utils
Requires:      junit
BuildArch:     noarch

%description
The Mock Objects project is a generic unit testing framework whose goal
is to facilitate developing unit tests in the mock object style. The
goal of this project is to provide, a core mock objects framework. This
is a library of code that supports the implementation of mock objects.
It is based around a set of expectation classes for values and
collections. There are also various other classes to make mock objects
easier to write or to use.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Java MockObjects package.

This package contains javadoc for %{name}.

%prep
%setup -q -n mockobjects-java
cp -r src/j2ee/1.3/com/mockobjects/servlet src/j2ee/1.4/com/mockobjects/
%patch0 -b .sav0
%patch1 -p1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch7 -b .sav7
%patch8 -b .sav8
%patch9 -b .sav9
%patch10 -b .sav10
%patch11 -b .sav11
%patch12 -b .sav12

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for c in $(find . -name "*.class"); do
   rm -f $c
done

mkdir -p lib
pushd lib
    ln -sf $(build-classpath junit) junit.jar
popd

%build

export JAVA_HOME=%{_jvmdir}/java-1.5.0
CLASSPATH=$(build-classpath junit ant/ant-junit) ant jar-core 
CLASSPATH=$(build-classpath junit) ant jar-jdk
CLASSPATH=$(build-classpath jakarta-commons-httpclient junit) ant jar-ext-httpclient
rm -rf out/j2ee/classes/*
CLASSPATH=$(build-classpath junit geronimo-jms tomcat5-jsp-2.0-api tomcat5-servlet-2.4-api) ant -Djdk.version=1.4 -Dj2ee.version=1.4 compile-j2ee jar-j2ee
CLASSPATH=$CLASSPATH ant javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -m 644 out/mockobjects-core-%{version}.jar %{buildroot}%{_javadir}/mockobjects-core-%{version}.jar
install -m 644 out/mockobjects-httpclient.jar %{buildroot}%{_javadir}/mockobjects-httpclient-%{version}.jar
install -m 644 out/alt-httpclient.jar %{buildroot}%{_javadir}/mockobjects-alt-httpclient-%{version}.jar
install -m 644 out/mockobjects-jdk1.4-%{version}.jar %{buildroot}%{_javadir}/mockobjects-jdk1.4-%{version}.jar
install -m 644 out/mockobjects-alt-jdk1.4-%{version}.jar %{buildroot}%{_javadir}/mockobjects-alt-jdk1.4-%{version}.jar
install -m 644 out/mockobjects-jdk1.4-j2ee1.4-%{version}.jar %{buildroot}%{_javadir}/mockobjects-jdk1.4-j2ee1.4-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-mockobjects-core.pom
%add_to_maven_depmap mockobjects mockobjects-core %{version} JPP mockobjects-core
install -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-mockobjects-jdk1.4.pom
%add_to_maven_depmap mockobjects mockobjects-jdk1.4 %{version} JPP mockobjects-jdk1.4
install -m 644 %{SOURCE3} %{buildroot}%{_mavenpomdir}/JPP-mockobjects-alt-jdk1.4.pom
%add_to_maven_depmap mockobjects mockobjects-alt-jdk1.4 %{version} JPP mockobjects-alt-jdk1.4
install -m 644 %{SOURCE4} %{buildroot}%{_mavenpomdir}/JPP-mockobjects-httpclient.pom
%add_to_maven_depmap mockobjects mockobjects-httpclient %{version} JPP mockobjects-httpclient
install -m 644 %{SOURCE5} %{buildroot}%{_mavenpomdir}/JPP-mockobjects-alt-httpclient.pom
%add_to_maven_depmap mockobjects mockobjects-alt-httpclient %{version} JPP mockobjects-alt-httpclient
install -m 644 %{SOURCE6} %{buildroot}%{_mavenpomdir}/JPP-mockobjects-jdk1.4-j2ee1.4.pom
%add_to_maven_depmap mockobjects mockobjects-jdk1.4-j2ee1.4 %{version} JPP mockobjects-jdk1.4-j2ee1.4

mkdir -p %{buildroot}%{_javadocdir}/mockobjects-%{version}
cp -pr out/doc/javadoc/* %{buildroot}%{_javadocdir}/mockobjects-%{version}
ln -s mockobjects-%{version} %{buildroot}%{_javadocdir}/mockobjects

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/mockobjects-core-%{version}.jar
%{_javadir}/mockobjects-core.jar
%{_javadir}/mockobjects-alt-httpclient-%{version}.jar
%{_javadir}/mockobjects-alt-httpclient.jar
%{_javadir}/mockobjects-alt-jdk1.4-%{version}.jar
%{_javadir}/mockobjects-alt-jdk1.4.jar
%{_javadir}/mockobjects-httpclient-%{version}.jar
%{_javadir}/mockobjects-httpclient.jar
%{_javadir}/mockobjects-jdk1.4-%{version}.jar
%{_javadir}/mockobjects-jdk1.4.jar
%{_javadir}/mockobjects-jdk1.4-j2ee1.4-%{version}.jar
%{_javadir}/mockobjects-jdk1.4-j2ee1.4.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc doc/README

%files javadoc
%{_javadocdir}/mockobjects-%{version}
%{_javadocdir}/mockobjects



%changelog
* Sat Aug 13 2011 dmorgan <dmorgan> 0.09-1.mga2
+ Revision: 132907
- Fix maven files install
  Fix buildrequires
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package mockobjects


* Sat Jul 02 2011 gil <gil> 0.09-0.%%mkrel
- initial rpm